-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Dec 22, 2013 at 08:54 PM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `full_calendar`
--

-- --------------------------------------------------------

--
-- Table structure for table `pec_admin_user_cals`
--

DROP TABLE IF EXISTS `pec_admin_user_cals`;
CREATE TABLE IF NOT EXISTS `pec_admin_user_cals` (
  `admin_id` int(11) unsigned NOT NULL DEFAULT '0',
  `cal_id` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`admin_id`,`cal_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pec_admin_user_cals`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_calendars`
--

DROP TABLE IF EXISTS `pec_calendars`;
CREATE TABLE IF NOT EXISTS `pec_calendars` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('user','group','url') DEFAULT 'user',
  `user_id` int(11) unsigned DEFAULT NULL,
  `name` varchar(100) DEFAULT NULL,
  `description` text,
  `color` varchar(7) DEFAULT NULL,
  `admin_id` int(11) DEFAULT NULL,
  `status` enum('on','off') DEFAULT 'on',
  `show_in_list` enum('0','1') DEFAULT NULL,
  `public` tinyint(3) unsigned DEFAULT '0',
  `reminder_message_email` text,
  `reminder_message_popup` text,
  `access_key` varchar(32) DEFAULT NULL COMMENT 'ical subscribe access key',
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

--
-- Dumping data for table `pec_calendars`
--

INSERT INTO `pec_calendars` (`id`, `type`, `user_id`, `name`, `description`, `color`, `admin_id`, `status`, `show_in_list`, `public`, `reminder_message_email`, `reminder_message_popup`, `access_key`, `created_on`, `updated_on`) VALUES
(17, 'user', 3, 'Red', 'This is a red calendar', '#ff4206', NULL, 'on', '1', 1, '', '', '', '2013-12-22 00:00:00', NULL),
(18, 'user', 3, 'Green', '', '#1a9b05', NULL, 'on', '1', 1, '', '', '', '2013-12-22 00:00:00', NULL),
(19, 'user', 3, 'School', '', '#f903a5', NULL, 'on', '1', 1, '', '', '', '2013-12-22 00:00:00', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `pec_default_reminders`
--

DROP TABLE IF EXISTS `pec_default_reminders`;
CREATE TABLE IF NOT EXISTS `pec_default_reminders` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned DEFAULT NULL,
  `cal_id` int(11) unsigned DEFAULT NULL,
  `type` enum('email','popup') DEFAULT NULL,
  `time` smallint(6) DEFAULT NULL,
  `time_type` enum('minute','hour','day','week') DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `cal_id` (`cal_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_default_reminders`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_events`
--

DROP TABLE IF EXISTS `pec_events`;
CREATE TABLE IF NOT EXISTS `pec_events` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cal_id` int(10) unsigned DEFAULT NULL,
  `type` enum('standard','multi_day') DEFAULT NULL,
  `start_date` date DEFAULT NULL,
  `start_time` char(5) DEFAULT NULL,
  `start_timestamp` int(10) unsigned DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `end_time` char(5) DEFAULT NULL,
  `end_timestamp` int(10) unsigned DEFAULT NULL,
  `repeat_type` enum('none','daily','weekly','monthly','yearly') DEFAULT NULL,
  `repeat_interval` tinyint(3) unsigned DEFAULT NULL,
  `repeat_count` tinyint(3) unsigned DEFAULT '0',
  `repeat_start_date` date DEFAULT '0000-01-01',
  `repeat_end_on` date DEFAULT '0000-01-01',
  `repeat_end_after` int(11) DEFAULT '0',
  `repeat_never` tinyint(1) DEFAULT '0',
  `repeat_data` varchar(30) DEFAULT NULL,
  `repeat_deleted_indexes` varchar(255) DEFAULT NULL,
  `title` text,
  `description` longblob,
  `allDay` varchar(10) DEFAULT NULL,
  `url` varchar(256) DEFAULT NULL,
  `color` varchar(15) DEFAULT NULL,
  `backgroundColor` varchar(20) DEFAULT NULL,
  `textColor` varchar(20) DEFAULT NULL,
  `borderColor` varchar(20) DEFAULT NULL,
  `location` varchar(255) DEFAULT NULL,
  `available` enum('0','1') DEFAULT '1',
  `public` enum('0','1') DEFAULT '0',
  `image` varchar(100) DEFAULT NULL,
  `invitation` enum('1','0') DEFAULT '0',
  `invitation_event_id` int(10) unsigned DEFAULT '0',
  `invitation_creator_id` int(10) unsigned DEFAULT '0',
  `invitation_response` enum('yes','no','maybe','pending') DEFAULT 'pending',
  `created_by` varchar(30) DEFAULT NULL,
  `modified_by` varchar(30) DEFAULT NULL,
  `created_on` varchar(19) DEFAULT NULL,
  `updated_on` varchar(19) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cal_id` (`cal_id`,`type`,`start_date`),
  KEY `cal_id_2` (`cal_id`,`type`,`end_date`),
  KEY `cal_id_3` (`cal_id`,`type`,`start_date`,`end_date`),
  KEY `cal_id_4` (`cal_id`,`start_date`),
  KEY `cal_id_5` (`cal_id`,`end_date`),
  KEY `cal_id_6` (`cal_id`,`start_date`,`end_date`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=32 ;

--
-- Dumping data for table `pec_events`
--

INSERT INTO `pec_events` (`id`, `cal_id`, `type`, `start_date`, `start_time`, `start_timestamp`, `end_date`, `end_time`, `end_timestamp`, `repeat_type`, `repeat_interval`, `repeat_count`, `repeat_start_date`, `repeat_end_on`, `repeat_end_after`, `repeat_never`, `repeat_data`, `repeat_deleted_indexes`, `title`, `description`, `allDay`, `url`, `color`, `backgroundColor`, `textColor`, `borderColor`, `location`, `available`, `public`, `image`, `invitation`, `invitation_event_id`, `invitation_creator_id`, `invitation_response`, `created_by`, `modified_by`, `created_on`, `updated_on`) VALUES
(1, NULL, NULL, '2013-12-07', '12:12', 1386414720, '2013-12-07', '11:55', 1386413700, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'First Event', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(2, NULL, NULL, '2013-12-11', '13:10', 1386763800, '2013-12-11', '18:30', 1386783000, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'Another Event', NULL, '', '', NULL, '#ff4206', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(3, NULL, NULL, '2013-12-17', '13:10', 1387282200, '2013-12-17', '18:25', 1387301100, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'New Event Here', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(4, NULL, NULL, '2013-12-18', '13:10', 1387368600, '2013-12-18', '18:55', 1387389300, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'Rohan Event', NULL, '', '', NULL, '#17cccc', '', '#17cccc', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(5, NULL, NULL, '2013-12-24', '01:05', 1387843500, '2013-12-24', '23:55', 1387925700, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'Rohan Event', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(6, NULL, NULL, '2013-12-07', '13:12', 1386418320, '2013-12-07', '18:35', 1386437700, NULL, NULL, 0, '0000-00-00', '0000-01-01', 0, 0, NULL, NULL, 'One more Day', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(7, NULL, NULL, '2013-12-10', '11:10', 1386670200, '2013-12-10', '22:55', 1386712500, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Good Day', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(8, NULL, NULL, '2013-12-14', '11:10', 1387015800, '2013-12-14', '22:55', 1387058100, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Bad Day', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(9, NULL, NULL, '2013-12-19', '11:10', 1387447800, '2013-12-19', '22:55', 1387490100, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Sunny Day', NULL, '', '', NULL, '#0a0003', '', '#0a0003', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(10, NULL, NULL, '2013-12-23', '11:10', 1387793400, '2013-12-23', '22:55', 1387835700, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Sunny Day', NULL, '', '', NULL, '#1a9b05', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(11, NULL, NULL, '2013-12-08', '17:12', 1386519120, '2013-12-08', '22:30', 1386538200, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'More Events Here with a long long long long long long title', NULL, '', '', NULL, '', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(12, NULL, NULL, '2013-12-08', '17:12', 1386519120, '2013-12-08', '22:30', 1386538200, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'More Events Here with very very a long long long long long long long ti', NULL, '', '', NULL, '#17cccc', '', '#17cccc', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(13, NULL, NULL, '2013-12-17', '14:30', 1387287000, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Taffaling Center', NULL, 'on', '', NULL, '#ff4206', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(14, NULL, NULL, '2013-12-18', '14:30', 1387373400, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Once again a new event', NULL, 'on', '', NULL, '#f903a5', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(15, NULL, NULL, '2013-12-25', '14:30', 1387978200, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Black City', NULL, 'on', '', NULL, '#0a0003', '', '#0a0003', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(16, NULL, NULL, '2013-12-27', '14:30', 1388151000, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Pink City', NULL, 'on', '', NULL, '#f903a5', '', '#f903a5', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(17, NULL, NULL, '2013-12-18', '14:5', 1387371900, '2013-12-20', '12:30', 1387539000, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New Event', NULL, '', '', NULL, '#ff4206', '', '#ff4206', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(18, NULL, NULL, '2013-12-15', '8:12', 1387091520, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Try it', NULL, '', '', NULL, '#1a9b05', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(19, NULL, NULL, '2013-12-16', '09:10', 1387181400, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Rahman', NULL, '', '', NULL, '#ff4206', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(20, NULL, NULL, '2013-12-16', '09:10', 1387181400, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Rahman', NULL, '', '', NULL, '#0c2ddd', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(21, NULL, NULL, '2013-12-15', '8:12', 1387091520, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'normal', NULL, '', '', NULL, '#ff4206', '', '', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(22, NULL, NULL, '2013-12-08', '17:12', 1386519120, '2013-12-08', '22:30', 1386538200, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New event', NULL, '', '', NULL, '#1a9b05', '', '#1a9b05', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(23, NULL, NULL, '2013-12-08', '17:12', 1386519120, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New event', NULL, '', '', NULL, '#0c2ddd', '', '#0c2ddd', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(24, NULL, NULL, '2013-12-08', '17:12', 1386519120, '2013-12-08', '19:12', 1386526320, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New event', NULL, '', '', NULL, '#a8a8a8', '', '#a8a8a8', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(25, NULL, NULL, '2013-12-08', '17:12', 1386519120, '2013-12-08', '19:12', 1386526320, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New event', NULL, '', '', NULL, '#17cccc', '', '#17cccc', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(26, NULL, NULL, '2013-12-08', '17:12', 1386519120, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'New event', NULL, '', '', NULL, '#f903a5', '', '#f903a5', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(27, NULL, NULL, '2013-12-18', '6:12', 1387343520, '2013-12-18', '11:55', 1387364100, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Any more event?', NULL, '', '', NULL, '#f903a5', '', '#f903a5', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(28, NULL, NULL, '2013-12-26', '6:12', 1388034720, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Pink City', NULL, '', '', NULL, '#0c2ddd', '', '#0c2ddd', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(29, NULL, NULL, '2013-12-19', '13:10', 1387455000, '2013-12-19', '18:55', 1387475700, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Rohan Event', NULL, '', '', NULL, '#1a9b05', '', '#1a9b05', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(30, NULL, NULL, '2013-12-22', '19:12', 1387735920, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'Good Friday', NULL, '', '', NULL, '#ff4206', '', '#ff4206', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL),
(31, NULL, NULL, '2013-12-25', '19:10', 1387995000, NULL, '', 0, NULL, NULL, 0, '0000-01-01', '0000-01-01', 0, 0, NULL, NULL, 'How good', NULL, '', '', NULL, '#ff4206', '', '#ff4206', NULL, '1', '0', NULL, '0', 0, 0, 'pending', NULL, NULL, NULL, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `pec_event_calendar_settings`
--

DROP TABLE IF EXISTS `pec_event_calendar_settings`;
CREATE TABLE IF NOT EXISTS `pec_event_calendar_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `domain` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_event_calendar_settings`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_guests`
--

DROP TABLE IF EXISTS `pec_guests`;
CREATE TABLE IF NOT EXISTS `pec_guests` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `event_id` int(10) unsigned NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  `username` varchar(30) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `response` enum('yes','no','maybe','pending') DEFAULT 'pending',
  `note` varchar(255) DEFAULT NULL,
  `user_guest_count` tinyint(3) unsigned DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `i_event_id` (`event_id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_guests`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_mobile_calendar_settings`
--

DROP TABLE IF EXISTS `pec_mobile_calendar_settings`;
CREATE TABLE IF NOT EXISTS `pec_mobile_calendar_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `theme` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_mobile_calendar_settings`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_reminders`
--

DROP TABLE IF EXISTS `pec_reminders`;
CREATE TABLE IF NOT EXISTS `pec_reminders` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event_id` int(11) unsigned DEFAULT NULL,
  `is_repeating_event` enum('0','1') DEFAULT '0',
  `type` enum('email','popup') DEFAULT NULL,
  `time` int(11) DEFAULT NULL,
  `time_unit` enum('minute','hour','day','week') DEFAULT NULL,
  `ts` timestamp NULL DEFAULT NULL,
  `remind_time` char(5) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `i_event_id` (`event_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_reminders`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_settings`
--

DROP TABLE IF EXISTS `pec_settings`;
CREATE TABLE IF NOT EXISTS `pec_settings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned DEFAULT NULL,
  `admin_id` int(10) unsigned DEFAULT NULL,
  `shortdate_format` varchar(20) DEFAULT NULL,
  `longdate_format` varchar(20) DEFAULT NULL,
  `timeformat` enum('core','standard') DEFAULT NULL,
  `custom_view` tinyint(3) unsigned DEFAULT NULL,
  `start_day` enum('Saturday','Sunday','Monday') DEFAULT NULL,
  `default_view` varchar(20) DEFAULT NULL,
  `wysiwyg` enum('1','0') DEFAULT '0',
  `staff_mode` enum('0','1') DEFAULT '0',
  `calendar_mode` enum('vertical','timeline') DEFAULT 'vertical',
  `timeline_day_width` mediumint(8) unsigned DEFAULT '360',
  `timeline_row_height` mediumint(8) unsigned DEFAULT '28',
  `timeline_show_hours` tinyint(3) unsigned DEFAULT '1',
  `timeline_mode` enum('horizontal','vertical') DEFAULT 'horizontal',
  `week_cal_timeslot_min` mediumint(8) unsigned DEFAULT '30',
  `timeslot_height` tinyint(3) unsigned DEFAULT '20',
  `week_cal_start_time` char(5) DEFAULT '00:00',
  `week_cal_end_time` char(5) DEFAULT '23:00',
  `week_cal_show_hours` tinyint(3) unsigned DEFAULT '1',
  `event_tooltip` tinyint(3) unsigned DEFAULT '1',
  `left_side_visible` tinyint(3) unsigned DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `admin_id` (`admin_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_settings`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_shared_calendars`
--

DROP TABLE IF EXISTS `pec_shared_calendars`;
CREATE TABLE IF NOT EXISTS `pec_shared_calendars` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `type` enum('user','group','url') DEFAULT 'user',
  `user_id` int(11) unsigned DEFAULT NULL,
  `cal_id` int(11) unsigned DEFAULT NULL,
  `shared_user_id` int(11) DEFAULT NULL,
  `permission` enum('see','change') DEFAULT NULL,
  `name` varchar(50) DEFAULT NULL,
  `description` text,
  `color` varchar(7) DEFAULT NULL,
  `status` enum('on','off') DEFAULT 'on',
  `show_in_list` enum('0','1') DEFAULT NULL,
  `url` varchar(255) DEFAULT NULL,
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `fk_cal_id` (`cal_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_shared_calendars`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_users`
--

DROP TABLE IF EXISTS `pec_users`;
CREATE TABLE IF NOT EXISTS `pec_users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `access_key` varchar(32) DEFAULT NULL,
  `activated` tinyint(3) unsigned DEFAULT '1',
  `admin_id` int(10) unsigned DEFAULT NULL,
  `role` enum('super','admin','user') DEFAULT NULL,
  `first_name` varchar(50) DEFAULT NULL,
  `last_name` varchar(50) DEFAULT NULL,
  `active_calendar_id` int(11) NOT NULL DEFAULT '0',
  `company` varchar(50) DEFAULT NULL,
  `username` varchar(100) DEFAULT NULL,
  `password` varchar(64) DEFAULT NULL,
  `email` varchar(100) DEFAULT NULL,
  `timezone` varchar(30) DEFAULT NULL,
  `language` varchar(10) DEFAULT NULL,
  `theme` varchar(20) DEFAULT NULL,
  `kbd_shortcuts` tinyint(3) unsigned DEFAULT '1',
  `created_on` datetime DEFAULT NULL,
  `updated_on` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `username` (`username`),
  UNIQUE KEY `email` (`email`),
  KEY `i_username` (`username`),
  KEY `fk_admin_id` (`admin_id`),
  KEY `access_key` (`access_key`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;

--
-- Dumping data for table `pec_users`
--

INSERT INTO `pec_users` (`id`, `access_key`, `activated`, `admin_id`, `role`, `first_name`, `last_name`, `active_calendar_id`, `company`, `username`, `password`, `email`, `timezone`, `language`, `theme`, `kbd_shortcuts`, `created_on`, `updated_on`) VALUES
(1, '1', 1, 1, 'super', 'Mostanser', 'Billah', 0, 'Higpitch', 'mostanser', 'e10adc3949ba59abbe56e057f20f883e', 'billahnorm@gmail.com', '+6', 'English', 'Default', 1, '2013-12-15 17:19:23', '2013-12-15 17:19:29'),
(3, '1', 1, 1, 'super', 'Admin', 'Admin', 17, 'Higpitch', 'admin', 'e10adc3949ba59abbe56e057f20f883e', 'admin@gmail.com', '+6', 'English', 'default', 1, '2013-12-18 14:27:41', '2013-12-18 14:27:45');

-- --------------------------------------------------------

--
-- Table structure for table `pec_user_permissions`
--

DROP TABLE IF EXISTS `pec_user_permissions`;
CREATE TABLE IF NOT EXISTS `pec_user_permissions` (
  `user_id` int(10) unsigned NOT NULL,
  `permission` varchar(100) NOT NULL,
  `value` enum('0','1') DEFAULT NULL,
  PRIMARY KEY (`user_id`,`permission`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `pec_user_permissions`
--


-- --------------------------------------------------------

--
-- Table structure for table `pec_user_share_free_busy`
--

DROP TABLE IF EXISTS `pec_user_share_free_busy`;
CREATE TABLE IF NOT EXISTS `pec_user_share_free_busy` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) unsigned DEFAULT NULL,
  `shared_user_id` int(11) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `shared_user_id` (`shared_user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `pec_user_share_free_busy`
--


--
-- Constraints for dumped tables
--

--
-- Constraints for table `pec_admin_user_cals`
--
ALTER TABLE `pec_admin_user_cals`
  ADD CONSTRAINT `pec_admin_user_cals_ibfk_1` FOREIGN KEY (`admin_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_calendars`
--
ALTER TABLE `pec_calendars`
  ADD CONSTRAINT `fk_user_id` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_default_reminders`
--
ALTER TABLE `pec_default_reminders`
  ADD CONSTRAINT `pec_default_reminders_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `pec_default_reminders_ibfk_2` FOREIGN KEY (`cal_id`) REFERENCES `pec_calendars` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_events`
--
ALTER TABLE `pec_events`
  ADD CONSTRAINT `pec_events_ibfk_1` FOREIGN KEY (`cal_id`) REFERENCES `pec_calendars` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_event_calendar_settings`
--
ALTER TABLE `pec_event_calendar_settings`
  ADD CONSTRAINT `pec_event_calendar_settings_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_guests`
--
ALTER TABLE `pec_guests`
  ADD CONSTRAINT `pec_guests_ibfk_1` FOREIGN KEY (`event_id`) REFERENCES `pec_events` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_mobile_calendar_settings`
--
ALTER TABLE `pec_mobile_calendar_settings`
  ADD CONSTRAINT `pec_mobile_calendar_settings_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_reminders`
--
ALTER TABLE `pec_reminders`
  ADD CONSTRAINT `fk_event_id` FOREIGN KEY (`event_id`) REFERENCES `pec_events` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `pec_reminders_ibfk_1` FOREIGN KEY (`event_id`) REFERENCES `pec_events` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_settings`
--
ALTER TABLE `pec_settings`
  ADD CONSTRAINT `pec_settings_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `pec_settings_ibfk_2` FOREIGN KEY (`admin_id`) REFERENCES `pec_users` (`id`);

--
-- Constraints for table `pec_shared_calendars`
--
ALTER TABLE `pec_shared_calendars`
  ADD CONSTRAINT `fk_cal_id` FOREIGN KEY (`cal_id`) REFERENCES `pec_calendars` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_users`
--
ALTER TABLE `pec_users`
  ADD CONSTRAINT `fk_admin_id` FOREIGN KEY (`admin_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_user_permissions`
--
ALTER TABLE `pec_user_permissions`
  ADD CONSTRAINT `pec_user_permissions_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;

--
-- Constraints for table `pec_user_share_free_busy`
--
ALTER TABLE `pec_user_share_free_busy`
  ADD CONSTRAINT `pec_user_share_free_busy_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE,
  ADD CONSTRAINT `pec_user_share_free_busy_ibfk_2` FOREIGN KEY (`shared_user_id`) REFERENCES `pec_users` (`id`) ON DELETE CASCADE;
